complexType "DataDocument"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 9 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | validation*, (isCorrection? | isCancellation?)?, onBehalfOf?, originatingEvent?, trade*, portfolio*, (party*, account*)?
</...>

Content Model Elements (9):

  account, isCancellation, isCorrection (defined in ProcessingIndicator.model group), onBehalfOf (defined in DataDocument complexType), originatingEvent (defined in DataDocument complexType), | party (defined in PartiesAndAccounts.model group), portfolio (defined in DataDocument complexType), trade (defined in DataDocument complexType), validation

Known Direct Subtypes (1):

  ValuationDocument

All Direct / Indirect Based Elements (2):

  dataDocument, valuationDocument

Known Usage Locations

- In derivations of other global types (1):
  ValuationDocument (as extension base)
- As direct type of elements (1):
  dataDocument

Annotation
A type defining a content model that is backwards compatible with older FpML releases and which can be used to contain sets of data without expressing any processing intention.
Type Definition Detail

Type Derivation Tree Document (extension) DataDocument

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="DataDocument"> <xsd:complexContent> <xsd:extension base="Document"> <xsd:sequence> <xsd:group ref="Validation.model"/> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:group minOccurs="0" ref="ProcessingIndicator.model"/> <xsd:element minOccurs="0" name="onBehalfOf" type="OnBehalfOf"/> <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="trade" type="Trade"/> <!-- <xsd:element name="priceNotation" type="BasicQuotation" minOccurs="0" > <xsd:annotation> <xsd:documentation xml:lang="en">Pricing information for the trade.</xsd:documentation> <xsd:appinfo> <view:exclusive view="transparency" /> <view:exclusive view="recordkeeping" /> <view:exclusive view="confirmation" /> <view:exclusive view="reporting" /> </xsd:appinfo> </xsd:annotation> </xsd:element> --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolio" type="Portfolio"/> </xsd:sequence> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/9)
onBehalfOf

  Type: | OnBehalfOf, complex content

  Indicates which party (and accounts) a trade is being processed for.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="onBehalfOf" type="OnBehalfOf"/>

originatingEvent

  Type: | OriginatingEvent, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/>

portfolio

  Type: | Portfolio, complex content

  An arbitary grouping of trade references (and possibly other portfolios).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolio" type="Portfolio"/>

trade

  Type: | Trade, complex content

  The root element in an FpML trade document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="trade" type="Trade"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.